
function [p1,p2,p3,p4,p5,p6,p7,p8,p9,p10,p11] = func_fwd_kinematics(q1,q2,q3,q4,q5,q6,q7,q8,a,l1,l2,l3)

T = @(x,y,q) [cos(q) -sin(q) 0 x;...
              sin(q)  cos(q) 0 y;...
                  0       0  0 0;...
                  0       0  0 1];
              
T12 = T(0,-l1,q1);
T29 = T(a,0,-q2);
T94 = T(a,0,q4);
T410 = T(a,0,0);
T105 = T(l3,0,-q6);
T511 = T(a,0,0);
T118 = T(a,0,0);
T23 = T(a+l2,0,-q3);
T36 = T(2*a,0,q7);
T67 = T(2*a,0,0);


T13 = T12*T23;
T14 = T12*T29*T94;
T15 = T12*T29*T94*T410*T105;
T16 = T12*T23*T36;
T17 = T12*T23*T36*T67;
T18 = T12*T29*T94*T410*T105*T511*T118;
T19 = T12*T29;
T110 = T12*T29*T94*T410;
T111 = T12*T29*T94*T410*T105*T511;

p1 = [0;0;0];
p2 = T12(1:3,4);
p3 = T13(1:3,4);
p4 = T14(1:3,4);
p5 = T15(1:3,4);
p6 = T16(1:3,4);
p7 = T17(1:3,4);
p8 = T18(1:3,4);
p9 = T19(1:3,4);
p10 = T110(1:3,4);
p11 = T111(1:3,4);



end 


